Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Florian Weimer <[email-masked]>
Date: Tue, 17 Nov 2020 21:13:00 +0100

* DJ Delorie:

> Eli Zaretskii <[email-masked]> writes:
>> Is it possible to start tracing only when the fast growth of memory
>> footprint commences?  Or is tracing from the very beginning a
>> necessity for providing meaningful data?
>
> Well, both.  The API allows you to start/stop tracing whenever you like,
> but the state of your heap depends on the entire history of calls.
>
> So, for example, a trace during the "fast growth" period might show a
> pattern that helps us[*] debug the problem, but if we want to
> *reproduce* the problem, we'd need a full trace.
>
> [*] and by "us" I mostly mean "emacs developers who understand their
>     code" ;-)

But how helpful would that be, given that malloc_info does not really
show any inactive memory (discounting my 200 MiB hole)?

We would need a comparable tracer for the Lisp-level allocator, I think.

Thanks,
Florian
-- 
Red Hat GmbH, https://de.redhat.com/ , Registered seat: Grasbrunn,
Commercial register: Amtsgericht Muenchen, HRB 153243,
Managing Directors: Charles Cachera, Brian Klemm, Laurie Krebs, Michael O'Neill